services:
  open-webui:
    image: ghcr.io/open-webui/open-webui:v0.8.10
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    networks:
      - opsmind-network
    environment:
      - OLLAMA_BASE_URL=${OLLAMA_BASE_URL}
      - WEBUI_SECRET_KEY=${WEBUI_SECRET_KEY}
    volumes:
      - ./data:/app/backend/data
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true